GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

          • Get Application Details
          • Get Application List
          • Get Simple Application Information
          • Get Simple Application Information List
          • Create Application
          • Delete application
          • Get application key
          • Refresh application key
          • Get the current logged-in user of the application
          • Get the default access authorization strategy of the application
          • Update the default access authorization strategy of the application
          • Authorize application access permissions
          • Delete application access authorization records
          • Check whether the domain name is available
          • Get user MFA trigger data under the application
        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Applications

  10. /
  11. Authorize application access permissions

¶ Authorize application access rights

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Authorize application access rights to users, groups, organizations or roles. If the user, group, organization or role does not exist, skip and proceed to the next step of authorization without returning an error.

¶ Method Name

ManagementClient.authorizeApplicationAccess

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
listApplicationPermissionRecordItem[]Yes-Authorization subject list, up to 10 items
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ApplicationPermissionRecordItem;
import cn.authing.sdk.java.dto.AuthorizeApplicationAccessDto;
import cn.authing.sdk.java.dto.IsSuccessRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class AuthorizeApplicationAccessTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        AuthorizeApplicationAccessDto reqDto = new AuthorizeApplicationAccessDto();
        reqDto.setAppId("6229ffaxxxxxxxxcade3e3d9");
        List<ApplicationPermissionRecordItem> list = new ArrayList<>();
        ApplicationPermissionRecordItem recordItem = new ApplicationPermissionRecordItem();
        recordItem.setTargetType(ApplicationPermissionRecordItem.TargetType.USER);
        recordItem.setTargetIdentifier(Collections.singletonList("6sd9ffaxxxxxcade3eds9"));
        recordItem.setEffect(ApplicationPermissionRecordItem.Effect.ALLOW);
        list.add(recordItem);
        reqDto.setList(list);
        IsSuccessRespDto response = client.authorizeApplicationAccess(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ ApplicationPermissionRecordItem

NameType
Is it required
Description
Example Value
targetTypestringYesSubject typeUSER
namespaceCodestringNoPermission group code, required when subject type is "ROLE"code1
inheritByChildrenbooleanNoWhen subject type is "ORG", the authorization is inherited by child nodestrue
targetIdentifierarrayYesSubject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE", the value should be role code; when subject type is "ORG", the value should be organization node ID. Maximum 50 items.["6229ffaxxxxxxxxcade3e3d9"]
effectstringYesAuthorization effect, allow or denyALLOW

¶ IsSuccessDto

NameType
Is it required
Description
Example Value
successbooleanYesWhether the operation is successfultrue
Previous article: Update the default access authorization strategy of the application Next article: Delete application access authorization records
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.